
registerType('appdoo', (function () { function OverviewTests() {} var __super = setSupertypeFromDomain(OverviewTests, 'BasicObject', 'Core');

	Object.defineProperty(OverviewTests.prototype, "overview", {
	outlet: true, get:function () { return this._overview; }, set:function (v) {if (!Object.hasOwnProperty(this, "_overview")) Object.defineProperty(this, "_overview", { writable: true, configurable: true }); this._overview = v; }});
	

OverviewTests.prototype.runTests = function OverviewTests_runTests() {
	
		if (!this.overview) return;
		
		
		
		
		};
	
	
OverviewTests.prototype.select = function OverviewTests__select() {
		setTimeout(function () {
			this.scenesView.selectAnyItem();
		}.bind(this.overview), 100);};
	

OverviewTests.prototype.selectAndDelete = function OverviewTests__selectAndDelete() {
		setTimeout(function () {
			this.scenesView.selectAnyItem();
			this.scenesView.deleteSelection();
			setTimeout(function () {
				this.context.nativeProxy.sendMessage('undo');
			}.bind(this), 1000);
		}.bind(this.overview), 100);};
	

OverviewTests.prototype.selectAndDuplicate = function OverviewTests__selectAndDuplicate() {
		setTimeout(function () {
			this.scenesView.selectAnyItem();
			this.scenesView.duplicateSelection();
			setTimeout(function () {
				
			}.bind(this), 1000);
		}.bind(this.overview), 100);};
	
	
OverviewTests.prototype.initPropertiesFromData = function OverviewTests_initPropertiesFromData(data) {
try { __super.prototype.initPropertiesFromData.call(this, data); } catch (err) {}
if (data.hasOwnProperty("overview")) this.overview = data.overview;
};

OverviewTests.prototype.decodeData = function OverviewTests_decodeData(data) { var decoded;
try { decoded = __super.prototype.decodeData.call(this, data); } catch (err) { console.warn(err); decoded = clone(data); }
return decoded; };

OverviewTests.prototype.encode = function OverviewTests_encode() { var encoded;
try { encoded = __super.prototype.encode.call(this); } catch (err) { console.warn(err); encoded = this.context.encodeObject(this); }
return encoded; };

OverviewTests.prototype.encodeCloned = function OverviewTests_encodeCloned() { var encoded;
try { encoded = __super.prototype.encodeCloned.call(this); } catch (err) { console.warn(err); encoded = {}; }
return encoded; };

OverviewTests.prototype.expectedTypeForProperty = function OverviewTests_expectedTypeForProperty(key) {
	if (key === "overview") return "";
	if (__super) return __super.prototype.expectedTypeForProperty(key);
};

return OverviewTests; }()));
{
(function () {
	setTimeout(function () {
		if (!window._context) return;
		var overviewTests = createComponentFromDomain('OverviewTests', 'appdoo', window._context,
			{
				overview: window._context.overview
			}
		);
		overviewTests.runTests();
	},500);
})();}